Billing
List subscriptions
Requires read:billing. Customers’ recurring storage subscriptions. Filter with customerId or status (e.g. active, past_due, canceled).
GET
/
api
/
v1
/
billing
/
subscriptions
List subscriptions
curl --request GET \
--url https://www.carstoragesoftware.com/api/v1/billing/subscriptions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.carstoragesoftware.com/api/v1/billing/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/billing/subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productName": "<string>",
"carId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"currentPriceCents": 123,
"currentPeriodStart": "2023-11-07T05:31:56Z",
"currentPeriodEnd": "2023-11-07T05:31:56Z",
"cancelAtPeriodEnd": true,
"canceledAt": "2023-11-07T05:31:56Z",
"stripeSubscriptionId": "<string>",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productName": "<string>",
"carId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"netAmountCents": 123,
"currency": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"limit": 123,
"total": 123
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Authorizations
Query Parameters
Was this page helpful?
⌘I
List subscriptions
curl --request GET \
--url https://www.carstoragesoftware.com/api/v1/billing/subscriptions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.carstoragesoftware.com/api/v1/billing/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/billing/subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productName": "<string>",
"carId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"currentPriceCents": 123,
"currentPeriodStart": "2023-11-07T05:31:56Z",
"currentPeriodEnd": "2023-11-07T05:31:56Z",
"cancelAtPeriodEnd": true,
"canceledAt": "2023-11-07T05:31:56Z",
"stripeSubscriptionId": "<string>",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productName": "<string>",
"carId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"netAmountCents": 123,
"currency": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"limit": 123,
"total": 123
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}